glassfish
  1. glassfish
  2. GLASSFISH-18594

jsftemplating optionally depend on dataprovider packages

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Critical Critical
    • Resolution: Unresolved
    • Affects Version/s: 3.1.2
    • Fix Version/s: future release
    • Component/s: admin_gui
    • Labels:
      None

      Description

      jsftemplating has badly setup its OSGi metadata. Although it requires dataprovider packages,
      it optionally imports them. So, it breaks any kind of automatic deployment that does not deploy optional modules. This should be fixed. When you do fix this issue, please remove the dead module called appserver/admingui/jsftemplating because jsftemplating is built in a separate workspace called https://svn.java.net/svn/jsftemplating~svn/trunk

        Activity

        Hide
        TangYong added a comment -

        Dear Anissa,Sahoo,

        In the current gfv4 trunk, appserver\admingui\jsftemplating still exists, and in admingui's pom.xml,
        the jsftemplating module is not put in build process. So, the appserver\admingui\jsftemplating is indeedly
        a dead module. It should be removed from appserver\admingui.

        Show
        TangYong added a comment - Dear Anissa,Sahoo, In the current gfv4 trunk, appserver\admingui\jsftemplating still exists, and in admingui's pom.xml, the jsftemplating module is not put in build process. So, the appserver\admingui\jsftemplating is indeedly a dead module. It should be removed from appserver\admingui.

          People

          • Assignee:
            Anissa Lam
            Reporter:
            Sanjeeb Sahoo
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated: